depends = ('ITKPyBase', 'ITKImageSources', 'ITKImageIntensity', 'ITKFFT', 'ITKCommon', )
templates = (  ('SinusoidSpatialFunction', 'itk::SinusoidSpatialFunction', 'itkSinusoidSpatialFunctionF2PD2', True, 'float,2,itk::Point< double,2 >'),
  ('SinusoidSpatialFunction', 'itk::SinusoidSpatialFunction', 'itkSinusoidSpatialFunctionD2PD2', True, 'double,2,itk::Point< double,2 >'),
  ('SinusoidSpatialFunction', 'itk::SinusoidSpatialFunction', 'itkSinusoidSpatialFunctionF3PD3', True, 'float,3,itk::Point< double,3 >'),
  ('SinusoidSpatialFunction', 'itk::SinusoidSpatialFunction', 'itkSinusoidSpatialFunctionD3PD3', True, 'double,3,itk::Point< double,3 >'),
  ('SinusoidSpatialFunction', 'itk::SinusoidSpatialFunction', 'itkSinusoidSpatialFunctionF4PD4', True, 'float,4,itk::Point< double,4 >'),
  ('SinusoidSpatialFunction', 'itk::SinusoidSpatialFunction', 'itkSinusoidSpatialFunctionD4PD4', True, 'double,4,itk::Point< double,4 >'),
  ('SinusoidImageSource', 'itk::SinusoidImageSource', 'itkSinusoidImageSourceIF2', True, 'itk::Image< float,2 >'),
  ('SinusoidImageSource', 'itk::SinusoidImageSource', 'itkSinusoidImageSourceIF3', True, 'itk::Image< float,3 >'),
  ('SinusoidImageSource', 'itk::SinusoidImageSource', 'itkSinusoidImageSourceIF4', True, 'itk::Image< float,4 >'),
  ('SinusoidImageSource', 'itk::SinusoidImageSource', 'itkSinusoidImageSourceID2', True, 'itk::Image< double,2 >'),
  ('SinusoidImageSource', 'itk::SinusoidImageSource', 'itkSinusoidImageSourceID3', True, 'itk::Image< double,3 >'),
  ('SinusoidImageSource', 'itk::SinusoidImageSource', 'itkSinusoidImageSourceID4', True, 'itk::Image< double,4 >'),
  ('SteerableFilterFreqImageSource', 'itk::SteerableFilterFreqImageSource', 'itkSteerableFilterFreqImageSourceIF2', True, 'itk::Image< float,2 >'),
  ('SteerableFilterFreqImageSource', 'itk::SteerableFilterFreqImageSource', 'itkSteerableFilterFreqImageSourceIF3', True, 'itk::Image< float,3 >'),
  ('SteerableFilterFreqImageSource', 'itk::SteerableFilterFreqImageSource', 'itkSteerableFilterFreqImageSourceIF4', True, 'itk::Image< float,4 >'),
  ('SteerableFilterFreqImageSource', 'itk::SteerableFilterFreqImageSource', 'itkSteerableFilterFreqImageSourceID2', True, 'itk::Image< double,2 >'),
  ('SteerableFilterFreqImageSource', 'itk::SteerableFilterFreqImageSource', 'itkSteerableFilterFreqImageSourceID3', True, 'itk::Image< double,3 >'),
  ('SteerableFilterFreqImageSource', 'itk::SteerableFilterFreqImageSource', 'itkSteerableFilterFreqImageSourceID4', True, 'itk::Image< double,4 >'),
  ('ButterworthFilterFreqImageSource', 'itk::ButterworthFilterFreqImageSource', 'itkButterworthFilterFreqImageSourceIF2', True, 'itk::Image< float,2 >'),
  ('ButterworthFilterFreqImageSource', 'itk::ButterworthFilterFreqImageSource', 'itkButterworthFilterFreqImageSourceIF3', True, 'itk::Image< float,3 >'),
  ('ButterworthFilterFreqImageSource', 'itk::ButterworthFilterFreqImageSource', 'itkButterworthFilterFreqImageSourceIF4', True, 'itk::Image< float,4 >'),
  ('ButterworthFilterFreqImageSource', 'itk::ButterworthFilterFreqImageSource', 'itkButterworthFilterFreqImageSourceID2', True, 'itk::Image< double,2 >'),
  ('ButterworthFilterFreqImageSource', 'itk::ButterworthFilterFreqImageSource', 'itkButterworthFilterFreqImageSourceID3', True, 'itk::Image< double,3 >'),
  ('ButterworthFilterFreqImageSource', 'itk::ButterworthFilterFreqImageSource', 'itkButterworthFilterFreqImageSourceID4', True, 'itk::Image< double,4 >'),
  ('LogGaborFreqImageSource', 'itk::LogGaborFreqImageSource', 'itkLogGaborFreqImageSourceIF2', True, 'itk::Image< float,2 >'),
  ('LogGaborFreqImageSource', 'itk::LogGaborFreqImageSource', 'itkLogGaborFreqImageSourceIF3', True, 'itk::Image< float,3 >'),
  ('LogGaborFreqImageSource', 'itk::LogGaborFreqImageSource', 'itkLogGaborFreqImageSourceIF4', True, 'itk::Image< float,4 >'),
  ('LogGaborFreqImageSource', 'itk::LogGaborFreqImageSource', 'itkLogGaborFreqImageSourceID2', True, 'itk::Image< double,2 >'),
  ('LogGaborFreqImageSource', 'itk::LogGaborFreqImageSource', 'itkLogGaborFreqImageSourceID3', True, 'itk::Image< double,3 >'),
  ('LogGaborFreqImageSource', 'itk::LogGaborFreqImageSource', 'itkLogGaborFreqImageSourceID4', True, 'itk::Image< double,4 >'),
  ('PhaseSymmetryImageFilter', 'itk::PhaseSymmetryImageFilter', 'itkPhaseSymmetryImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('PhaseSymmetryImageFilter', 'itk::PhaseSymmetryImageFilter', 'itkPhaseSymmetryImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('PhaseSymmetryImageFilter', 'itk::PhaseSymmetryImageFilter', 'itkPhaseSymmetryImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('PhaseSymmetryImageFilter', 'itk::PhaseSymmetryImageFilter', 'itkPhaseSymmetryImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('PhaseSymmetryImageFilter', 'itk::PhaseSymmetryImageFilter', 'itkPhaseSymmetryImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('PhaseSymmetryImageFilter', 'itk::PhaseSymmetryImageFilter', 'itkPhaseSymmetryImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
)
factories = ()
